// (c) Electronic Arts.  All Rights Reserved.
//
// David Bollo (mailto:dbollo@ea.com)
 
#ifndef TEST_H
#define TEST_H

#include "EATypeOf/typeof.h"


struct Dog
{
	int x;
	int y;
};

struct Cat
{
	int x;
	int y;
};

enum Elephant
{
	African,
	Asian
};

typedef Dog Pup;


struct Cow;


EA::Type::TypeID TypeOf_Cat();
EA::Type::TypeID TypeOf_Dog();
EA::Type::TypeID TypeOf_Cow();
EA::Type::TypeID TypeOf_Int();


#endif
